### Method

# AppStream Component add_content_rating

since: 0.11.0

#### Declaration [src]

    void
    as_component_add_content_rating (
      AsComponent* cpt,
      AsContentRating* content_rating
    )

#### Description [src]

Adds a content rating to this component.

Available since: 0.11.0

#### Parameters

`content_rating`

  Type: `AsContentRating`

  A `AsContentRating` instance.

  The data is owned by the caller of the method.